# sto\_mount

```python
def sto_mount(collection_name: str, root_dir: str) -> str
```

[Source code](https://github.com/agiresearch/AIOS/blob/main/aios/storage/filesystem/lsfs.py)

Description: Mount a specific directory for the filesystem

Parameters:

* collection\_name (str): Name of the collection/agent
* root\_dir (str): Root directory to mount

Returns:

* Success message (str): "File system mounted successfully for agent: {collection\_name}"
* Error message (str): "Error mounting file system: {error\_message}"


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aios.foundation/aios-docs/aios-kernel/storage/sto_mount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
